.\"
.\" Copyright (c) 1995
.\"	Mark Murray.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Mark Murray
.\"	and Theodore Ts'o
.\" 4. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY MARK MURRAY AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL MARK MURRAY OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/usr.sbin/rndcontrol/rndcontrol.8,v 1.4.2.3 1999/09/05 11:41:13 peter Exp $
.\"
.Dd October 20, 1995
.Dt RNDCONTROL 8
.Os FreeBSD 2
.Sh NAME
.Nm rndcontrol 
.Nd a utility for manipulating the /dev/random device
.Sh SYNOPSIS
.Nm rndcontrol
.Op Fl q
.Op Fl s Ar irq_no
.Op Fl c Ar irq_no
.Sh DESCRIPTION
The
.Nm
command is used to set which interrupts are used to help randomise
the ``pool of entropy'' maintained by the kernel. The 
.Pa /dev/random
and
.Pa /dev/urandom
devices are the user interface to this source of randomness.
Any changes take effect immediately.
.Sh OPTIONS
The following command line options are supported:
.Bl -tag -width indent 
.It Fl q
Turn off all output except errors.
.It Fl s  Ar n
Allow IRQ
.Ar n
to be used as a source of randomness. This option may be repeated for
more than one IRQ.
.It Fl c  Ar n
Stop IRQ
.Ar n
from being used as a source of randomness. This option may be repeated for
more than one IRQ.
.El
.Pp
The default is to have no IRQ's being used.
.Pp
.Sh FILES
.Bl -tag -width /dev/urandom -compact
.It Pa /dev/random
secure random device
.It Pa /dev/urandom
random device
.El
.Sh BUGS
Sure to be some.
.Sh "SEE ALSO"
.Xr random 4 
.Sh AUTHORS
.An Theodore Ts'o
wrote the core code.
.An Mark Murray
ported this code to
.Bx Free
and wrote the support routines and constructed the man pages.
.Sh HISTORY
.Nm Rndcontrol
first appeared in
.Fx 2.1.5 .
